com.smartgwt.client.util

## Class ConvertTo

- java.lang.Object
- - com.smartgwt.client.util.ConvertTo

-     public final class ConvertTo
      extends java.lang.Object

  This object contains all of the methods for converting from a JavaScriptObject to an array of specific SmartGWT class types.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AceAnchor[]` | `arrayOfAceAnchor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceAnchor` objects.
    `static AceCompleter[]` | `arrayOfAceCompleter(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceCompleter` objects.
    `static AceCompletionResult[]` | `arrayOfAceCompletionResult(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceCompletionResult` objects.
    `static AceDocument[]` | `arrayOfAceDocument(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceDocument` objects.
    `static AceEditor[]` | `arrayOfAceEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceEditor` objects.
    `static AceEditSession[]` | `arrayOfAceEditSession(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceEditSession` objects.
    `static AceMarker[]` | `arrayOfAceMarker(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceMarker` objects.
    `static AcePosition[]` | `arrayOfAcePosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AcePosition` objects.
    `static AceRange[]` | `arrayOfAceRange(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceRange` objects.
    `static AceRenderer[]` | `arrayOfAceRenderer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceRenderer` objects.
    `static AceUndoManager[]` | `arrayOfAceUndoManager(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AceUndoManager` objects.
    `static ActiveXControl[]` | `arrayOfActiveXControl(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
    `static AdaptiveMenu[]` | `arrayOfAdaptiveMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AdaptiveMenu` objects.
    `static AdvancedCriteria[]` | `arrayOfAdvancedCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
    `static AdvancedHiliteEditor[]` | `arrayOfAdvancedHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
    `static Alignment[]` | `arrayOfAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
    `static AnimateShowEffect[]` | `arrayOfAnimateShowEffect(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimateShowEffect` objects.
    `static AnimationAcceleration[]` | `arrayOfAnimationAcceleration(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
    `static AnimationEffect[]` | `arrayOfAnimationEffect(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
    `static AnimationLayoutMode[]` | `arrayOfAnimationLayoutMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimationLayoutMode` objects.
    `static ApplicationMode[]` | `arrayOfApplicationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ApplicationMode` objects.
    `static ArrowKeyEditAction[]` | `arrayOfArrowKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ArrowKeyEditAction` objects.
    `static ArrowStyle[]` | `arrayOfArrowStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
    `static AutoComplete[]` | `arrayOfAutoComplete(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoComplete` objects.
    `static Autofit[]` | `arrayOfAutofit(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
    `static AutoFitEvent[]` | `arrayOfAutoFitEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
    `static AutoFitIconFieldType[]` | `arrayOfAutoFitIconFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
    `static AutoFitTextAreaItem[]` | `arrayOfAutoFitTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
    `static AutoFitWidthApproach[]` | `arrayOfAutoFitWidthApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
    `static AutoScrollDataApproach[]` | `arrayOfAutoScrollDataApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoScrollDataApproach` objects.
    `static AutoSelectionModel[]` | `arrayOfAutoSelectionModel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
    `static Axis[]` | `arrayOfAxis(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
    `static BackgroundRepeat[]` | `arrayOfBackgroundRepeat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
    `static BaseWidget[]` | `arrayOfBaseWidget(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BaseWidget` objects.
    `static BatchUploader[]` | `arrayOfBatchUploader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
    `static BlurbItem[]` | `arrayOfBlurbItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
    `static BooleanItem[]` | `arrayOfBooleanItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
    `static BrowserPlugin[]` | `arrayOfBrowserPlugin(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
    `static Button[]` | `arrayOfButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
    `static ButtonItem[]` | `arrayOfButtonItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
    `static Calendar[]` | `arrayOfCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
    `static CalendarEvent[]` | `arrayOfCalendarEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
    `static CalendarView[]` | `arrayOfCalendarView(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CalendarView` objects.
    `static Canvas[]` | `arrayOfCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
    `static CanvasEditProxy[]` | `arrayOfCanvasEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CanvasEditProxy` objects.
    `static CanvasItem[]` | `arrayOfCanvasItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
    `static CellRecord[]` | `arrayOfCellRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
    `static CellSelection[]` | `arrayOfCellSelection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
    `static CharacterCasing[]` | `arrayOfCharacterCasing(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
    `static ChartType[]` | `arrayOfChartType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
    `static CheckboxItem[]` | `arrayOfCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
    `static CheckboxItemEditProxy[]` | `arrayOfCheckboxItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItemEditProxy` objects.
    `static ChildrenPropertyMode[]` | `arrayOfChildrenPropertyMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ChildrenPropertyMode` objects.
    `static ClickMaskMode[]` | `arrayOfClickMaskMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
    `static ColorItem[]` | `arrayOfColorItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
    `static ColorPicker[]` | `arrayOfColorPicker(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
    `static ColorPickerItem[]` | `arrayOfColorPickerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
    `static ColorPickerMode[]` | `arrayOfColorPickerMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerMode` objects.
    `static ColorStop[]` | `arrayOfColorStop(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
    `static ColumnTree[]` | `arrayOfColumnTree(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
    `static ComboBoxItem[]` | `arrayOfComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
    `static ConnectorOrientation[]` | `arrayOfConnectorOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorOrientation` objects.
    `static ConnectorStyle[]` | `arrayOfConnectorStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorStyle` objects.
    `static ContentLayoutPolicy[]` | `arrayOfContentLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ContentLayoutPolicy` objects.
    `static ContentsType[]` | `arrayOfContentsType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ContentsType` objects.
    `static ControlName[]` | `arrayOfControlName(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
    `static Criteria[]` | `arrayOfCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
    `static CriteriaCombineOperator[]` | `arrayOfCriteriaCombineOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
    `static CriteriaPolicy[]` | `arrayOfCriteriaPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
    `static Criterion[]` | `arrayOfCriterion(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
    `static CubeGrid[]` | `arrayOfCubeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
    `static CurrentPane[]` | `arrayOfCurrentPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CurrentPane` objects.
    `static Cursor[]` | `arrayOfCursor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
    `static DataLineType[]` | `arrayOfDataLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
    `static DataSource[]` | `arrayOfDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
    `static DataSourceField[]` | `arrayOfDataSourceField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
    `static DataURLFormat[]` | `arrayOfDataURLFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataURLFormat` objects.
    `static DataView[]` | `arrayOfDataView(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataView` objects.
    `static java.util.Date[]` | `arrayOfDate(com.google.gwt.core.client.JavaScriptObject array)`
    `static DateChooser[]` | `arrayOfDateChooser(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
    `static DateDisplayFormat[]` | `arrayOfDateDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
    `static DateEditingStyle[]` | `arrayOfDateEditingStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
    `static DateFieldLayout[]` | `arrayOfDateFieldLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateFieldLayout` objects.
    `static DateGrid[]` | `arrayOfDateGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
    `static DateItem[]` | `arrayOfDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
    `static DateItemEditProxy[]` | `arrayOfDateItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItemEditProxy` objects.
    `static DateItemSelectorFormat[]` | `arrayOfDateItemSelectorFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
    `static DateRangeDialog[]` | `arrayOfDateRangeDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
    `static DateRangeItem[]` | `arrayOfDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
    `static DateTimeItem[]` | `arrayOfDateTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
    `static DecisionGateway[]` | `arrayOfDecisionGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
    `static Deck[]` | `arrayOfDeck(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Deck` objects.
    `static DefaultSampleRecord[]` | `arrayOfDefaultSampleRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DefaultSampleRecord` objects.
    `static DetailViewer[]` | `arrayOfDetailViewer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
    `static DetailViewerEditProxy[]` | `arrayOfDetailViewerEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerEditProxy` objects.
    `static DetailViewerField[]` | `arrayOfDetailViewerField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
    `static DetailViewerRecord[]` | `arrayOfDetailViewerRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
    `static DeviceMode[]` | `arrayOfDeviceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DeviceMode` objects.
    `static Dialog[]` | `arrayOfDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
    `static Direction[]` | `arrayOfDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
    `static DiscoverTreeSettings[]` | `arrayOfDiscoverTreeSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DiscoverTreeSettings` objects.
    `static DisplayNodeType[]` | `arrayOfDisplayNodeType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
    `static double[]` | `arrayOfdouble(com.google.gwt.core.client.JavaScriptObject array)`
    `static DoubleItem[]` | `arrayOfDoubleItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
    `static DragAppearance[]` | `arrayOfDragAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
    `static DragDataAction[]` | `arrayOfDragDataAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
    `static DragIntersectStyle[]` | `arrayOfDragIntersectStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
    `static DragMaskType[]` | `arrayOfDragMaskType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragMaskType` objects.
    `static DragTrackerMode[]` | `arrayOfDragTrackerMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
    `static DrawBlockConnector[]` | `arrayOfDrawBlockConnector(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
    `static DrawCurve[]` | `arrayOfDrawCurve(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
    `static DrawDiamond[]` | `arrayOfDrawDiamond(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawDiamond` objects.
    `static DrawGroup[]` | `arrayOfDrawGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
    `static DrawImage[]` | `arrayOfDrawImage(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
    `static DrawingType[]` | `arrayOfDrawingType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawingType` objects.
    `static DrawItem[]` | `arrayOfDrawItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
    `static DrawItemEditProxy[]` | `arrayOfDrawItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawItemEditProxy` objects.
    `static DrawKnob[]` | `arrayOfDrawKnob(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawKnob` objects.
    `static DrawLabel[]` | `arrayOfDrawLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
    `static DrawLabelEditProxy[]` | `arrayOfDrawLabelEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabelEditProxy` objects.
    `static DrawLine[]` | `arrayOfDrawLine(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
    `static DrawLinePath[]` | `arrayOfDrawLinePath(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
    `static DrawnValue[]` | `arrayOfDrawnValue(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
    `static DrawOval[]` | `arrayOfDrawOval(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
    `static DrawPane[]` | `arrayOfDrawPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
    `static DrawPaneEditProxy[]` | `arrayOfDrawPaneEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPaneEditProxy` objects.
    `static DrawPath[]` | `arrayOfDrawPath(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
    `static DrawPolygon[]` | `arrayOfDrawPolygon(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
    `static DrawPosition[]` | `arrayOfDrawPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
    `static DrawRect[]` | `arrayOfDrawRect(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
    `static DrawSector[]` | `arrayOfDrawSector(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
    `static DrawShape[]` | `arrayOfDrawShape(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawShape` objects.
    `static DrawShapeCommand[]` | `arrayOfDrawShapeCommand(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommand` objects.
    `static DrawShapeCommandType[]` | `arrayOfDrawShapeCommandType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommandType` objects.
    `static DrawTriangle[]` | `arrayOfDrawTriangle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
    `static DSDataFormat[]` | `arrayOfDSDataFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
    `static DSInheritanceMode[]` | `arrayOfDSInheritanceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
    `static DSLoadSettings[]` | `arrayOfDSLoadSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSLoadSettings` objects.
    `static DSOperationType[]` | `arrayOfDSOperationType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
    `static DSProtocol[]` | `arrayOfDSProtocol(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
    `static DSRequest[]` | `arrayOfDSRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
    `static DSResponse[]` | `arrayOfDSResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
    `static DSServerType[]` | `arrayOfDSServerType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
    `static DynamicForm[]` | `arrayOfDynamicForm(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
    `static EdgedCanvas[]` | `arrayOfEdgedCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
    `static EdgeName[]` | `arrayOfEdgeName(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
    `static EditCompletionEvent[]` | `arrayOfEditCompletionEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
    `static EditContext[]` | `arrayOfEditContext(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditContext` objects.
    `static EditNode[]` | `arrayOfEditNode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditNode` objects.
    `static EditPane[]` | `arrayOfEditPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditPane` objects.
    `static EditProxy[]` | `arrayOfEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditProxy` objects.
    `static EditTree[]` | `arrayOfEditTree(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditTree` objects.
    `static EmbeddedPosition[]` | `arrayOfEmbeddedPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
    `static Encoding[]` | `arrayOfEncoding(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
    `static EnterKeyEditAction[]` | `arrayOfEnterKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
    `static EnumTranslateStrategy[]` | `arrayOfEnumTranslateStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
    `static EscapeKeyEditAction[]` | `arrayOfEscapeKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
    `static EscapingMode[]` | `arrayOfEscapingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
    `static EventCanvas[]` | `arrayOfEventCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EventCanvas` objects.
    `static EventWindow[]` | `arrayOfEventWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EventWindow` objects.
    `static ExpansionComponentPoolingMode[]` | `arrayOfExpansionComponentPoolingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionComponentPoolingMode` objects.
    `static ExpansionMode[]` | `arrayOfExpansionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
    `static ExportDisplay[]` | `arrayOfExportDisplay(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
    `static ExportFormat[]` | `arrayOfExportFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
    `static ExportImageFormat[]` | `arrayOfExportImageFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
    `static FacadeDataSource[]` | `arrayOfFacadeDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacadeDataSource` objects.
    `static Facet[]` | `arrayOfFacet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
    `static FacetChart[]` | `arrayOfFacetChart(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
    `static FacetChartEditProxy[]` | `arrayOfFacetChartEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetChartEditProxy` objects.
    `static FacetIndentDirection[]` | `arrayOfFacetIndentDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetIndentDirection` objects.
    `static FacetValue[]` | `arrayOfFacetValue(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
    `static FacetValueMap[]` | `arrayOfFacetValueMap(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
    `static FetchMode[]` | `arrayOfFetchMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
    `static FieldAppearance[]` | `arrayOfFieldAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldAppearance` objects.
    `static FieldImportStrategy[]` | `arrayOfFieldImportStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldImportStrategy` objects.
    `static FieldNamingStrategy[]` | `arrayOfFieldNamingStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldNamingStrategy` objects.
    `static FieldPicker[]` | `arrayOfFieldPicker(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldPicker` objects.
    `static FieldPickerWindow[]` | `arrayOfFieldPickerWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
    `static FieldType[]` | `arrayOfFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
    `static FileItem[]` | `arrayOfFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
    `static FileSpec[]` | `arrayOfFileSpec(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FileSpec` objects.
    `static FilterBuilder[]` | `arrayOfFilterBuilder(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
    `static FilterClause[]` | `arrayOfFilterClause(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
    `static FireStyle[]` | `arrayOfFireStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
    `static FiscalCalendar[]` | `arrayOfFiscalCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
    `static FiscalYear[]` | `arrayOfFiscalYear(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
    `static FiscalYearMode[]` | `arrayOfFiscalYearMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
    `static Flashlet[]` | `arrayOfFlashlet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
    `static float[]` | `arrayOffloat(com.google.gwt.core.client.JavaScriptObject array)`
    `static java.lang.Float[]` | `arrayOfFloat(com.google.gwt.core.client.JavaScriptObject array)`
    `static FloatItem[]` | `arrayOfFloatItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
    `static FlowLayout[]` | `arrayOfFlowLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
    `static ForceTextApproach[]` | `arrayOfForceTextApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
    `static FormEditProxy[]` | `arrayOfFormEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormEditProxy` objects.
    `static FormItem[]` | `arrayOfFormItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
    `static FormItemEditProxy[]` | `arrayOfFormItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemEditProxy` objects.
    `static FormItemElementType[]` | `arrayOfFormItemElementType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemElementType` objects.
    `static FormItemIcon[]` | `arrayOfFormItemIcon(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
    `static FormItemType[]` | `arrayOfFormItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
    `static FormMethod[]` | `arrayOfFormMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
    `static Gauge[]` | `arrayOfGauge(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
    `static GaugeSector[]` | `arrayOfGaugeSector(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
    `static Gradient[]` | `arrayOfGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
    `static GridEditProxy[]` | `arrayOfGridEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GridEditProxy` objects.
    `static GridRenderer[]` | `arrayOfGridRenderer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
    `static GroupSpecifier[]` | `arrayOfGroupSpecifier(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GroupSpecifier` objects.
    `static GroupStartOpen[]` | `arrayOfGroupStartOpen(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
    `static GroupSummary[]` | `arrayOfGroupSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
    `static HashAlgorithm[]` | `arrayOfHashAlgorithm(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
    `static HeaderItem[]` | `arrayOfHeaderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
    `static HeaderLevel[]` | `arrayOfHeaderLevel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
    `static HeaderSpan[]` | `arrayOfHeaderSpan(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
    `static HiddenItem[]` | `arrayOfHiddenItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
    `static HiddenPalette[]` | `arrayOfHiddenPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiddenPalette` objects.
    `static Hilite[]` | `arrayOfHilite(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
    `static HiliteEditor[]` | `arrayOfHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
    `static HiliteIconPosition[]` | `arrayOfHiliteIconPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
    `static HiliteRule[]` | `arrayOfHiliteRule(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
    `static HLayout[]` | `arrayOfHLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
    `static HoopSelectionStyle[]` | `arrayOfHoopSelectionStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HoopSelectionStyle` objects.
    `static HoverMode[]` | `arrayOfHoverMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
    `static HStack[]` | `arrayOfHStack(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
    `static HTMLFlow[]` | `arrayOfHTMLFlow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
    `static HTMLPane[]` | `arrayOfHTMLPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
    `static IButton[]` | `arrayOfIButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
    `static IconButton[]` | `arrayOfIconButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
    `static IconMenuButton[]` | `arrayOfIconMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
    `static IconOverTrigger[]` | `arrayOfIconOverTrigger(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IconOverTrigger` objects.
    `static ImageStyle[]` | `arrayOfImageStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
    `static IMenuButton[]` | `arrayOfIMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
    `static Img[]` | `arrayOfImg(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
    `static ImgButton[]` | `arrayOfImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
    `static ImgProperties[]` | `arrayOfImgProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
    `static ImgSectionHeader[]` | `arrayOfImgSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
    `static ImgSplitbar[]` | `arrayOfImgSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
    `static ImgTab[]` | `arrayOfImgTab(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
    `static ImportFormat[]` | `arrayOfImportFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImportFormat` objects.
    `static IndicatorCanvas[]` | `arrayOfIndicatorCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IndicatorCanvas` objects.
    `static InlineEditEvent[]` | `arrayOfInlineEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `InlineEditEvent` objects.
    `static int[]` | `arrayOfint(com.google.gwt.core.client.JavaScriptObject array)`
    `static java.lang.Integer[]` | `arrayOfInteger(com.google.gwt.core.client.JavaScriptObject array)`
    `static IntegerItem[]` | `arrayOfIntegerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
    `static IPickTreeItem[]` | `arrayOfIPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
    `static JoinType[]` | `arrayOfJoinType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JoinType` objects.
    `static JSONCircularReferenceMode[]` | `arrayOfJSONCircularReferenceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
    `static JSONDateFormat[]` | `arrayOfJSONDateFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
    `static JSONEncoder[]` | `arrayOfJSONEncoder(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
    `static JSONInstanceSerializationMode[]` | `arrayOfJSONInstanceSerializationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
    `static JSSyntaxHiliter[]` | `arrayOfJSSyntaxHiliter(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSSyntaxHiliter` objects.
    `static KeyIdentifier[]` | `arrayOfKeyIdentifier(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `KeyIdentifier` objects.
    `static KnobType[]` | `arrayOfKnobType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
    `static Label[]` | `arrayOfLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
    `static LabelAlignment[]` | `arrayOfLabelAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelAlignment` objects.
    `static LabelCollapseMode[]` | `arrayOfLabelCollapseMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
    `static LabelEditProxy[]` | `arrayOfLabelEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelEditProxy` objects.
    `static LabelRotationMode[]` | `arrayOfLabelRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
    `static Lane[]` | `arrayOfLane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
    `static Layout[]` | `arrayOfLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
    `static LayoutEditProxy[]` | `arrayOfLayoutEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutEditProxy` objects.
    `static LayoutPolicy[]` | `arrayOfLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
    `static LayoutResizeBarPolicy[]` | `arrayOfLayoutResizeBarPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
    `static LayoutSpacer[]` | `arrayOfLayoutSpacer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
    `static LegendAlign[]` | `arrayOfLegendAlign(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LegendAlign` objects.
    `static LinearGradient[]` | `arrayOfLinearGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
    `static LineBreakStyle[]` | `arrayOfLineBreakStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LineBreakStyle` objects.
    `static LineCap[]` | `arrayOfLineCap(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
    `static LinePattern[]` | `arrayOfLinePattern(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
    `static LinkItem[]` | `arrayOfLinkItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
    `static ListGrid[]` | `arrayOfListGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
    `static ListGridComponent[]` | `arrayOfListGridComponent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
    `static ListGridEditEvent[]` | `arrayOfListGridEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
    `static ListGridField[]` | `arrayOfListGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
    `static ListGridFieldType[]` | `arrayOfListGridFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
    `static ListGridRecord[]` | `arrayOfListGridRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
    `static ListPalette[]` | `arrayOfListPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListPalette` objects.
    `static ListProperties[]` | `arrayOfListProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListProperties` objects.
    `static ListPropertiesDialog[]` | `arrayOfListPropertiesDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesDialog` objects.
    `static ListPropertiesPane[]` | `arrayOfListPropertiesPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesPane` objects.
    `static ListStyleType[]` | `arrayOfListStyleType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListStyleType` objects.
    `static LoadState[]` | `arrayOfLoadState(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
    `static LocatorStrategy[]` | `arrayOfLocatorStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
    `static LocatorTypeStrategy[]` | `arrayOfLocatorTypeStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
    `static LogicalOperator[]` | `arrayOfLogicalOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
    `static Menu[]` | `arrayOfMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
    `static MenuBar[]` | `arrayOfMenuBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
    `static MenuButton[]` | `arrayOfMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
    `static MenuEditProxy[]` | `arrayOfMenuEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuEditProxy` objects.
    `static MenuItem[]` | `arrayOfMenuItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
    `static MenuPalette[]` | `arrayOfMenuPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuPalette` objects.
    `static MetricSettings[]` | `arrayOfMetricSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
    `static MiniDateRangeItem[]` | `arrayOfMiniDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
    `static MiniNavControl[]` | `arrayOfMiniNavControl(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MiniNavControl` objects.
    `static MockDataSource[]` | `arrayOfMockDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MockDataSource` objects.
    `static MockDataType[]` | `arrayOfMockDataType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MockDataType` objects.
    `static MoveKnobPoint[]` | `arrayOfMoveKnobPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MoveKnobPoint` objects.
    `static MultiComboBoxItem[]` | `arrayOfMultiComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
    `static MultiComboBoxLayoutStyle[]` | `arrayOfMultiComboBoxLayoutStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
    `static MultiFileItem[]` | `arrayOfMultiFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
    `static MultiFilePicker[]` | `arrayOfMultiFilePicker(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
    `static MultiGroupDialog[]` | `arrayOfMultiGroupDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
    `static MultiGroupPanel[]` | `arrayOfMultiGroupPanel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupPanel` objects.
    `static MultipleAppearance[]` | `arrayOfMultipleAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
    `static MultipleFieldStorage[]` | `arrayOfMultipleFieldStorage(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultipleFieldStorage` objects.
    `static MultiSortDialog[]` | `arrayOfMultiSortDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortDialog` objects.
    `static MultiSortPanel[]` | `arrayOfMultiSortPanel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortPanel` objects.
    `static MultiUpdatePolicy[]` | `arrayOfMultiUpdatePolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiUpdatePolicy` objects.
    `static NativeCheckboxItem[]` | `arrayOfNativeCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
    `static NavigationBar[]` | `arrayOfNavigationBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
    `static NavigationBarViewState[]` | `arrayOfNavigationBarViewState(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBarViewState` objects.
    `static NavigationButton[]` | `arrayOfNavigationButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
    `static NavigationDirection[]` | `arrayOfNavigationDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
    `static NavigationMethod[]` | `arrayOfNavigationMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMethod` objects.
    `static NavigationMode[]` | `arrayOfNavigationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
    `static NavItem[]` | `arrayOfNavItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavItem` objects.
    `static NavPanel[]` | `arrayOfNavPanel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavPanel` objects.
    `static java.lang.Object[]` | `arrayOfObject(com.google.gwt.core.client.JavaScriptObject array)`
    `static OperationBinding[]` | `arrayOfOperationBinding(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
    `static OperatorId[]` | `arrayOfOperatorId(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
    `static OperatorValueType[]` | `arrayOfOperatorValueType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
    `static Orientation[]` | `arrayOfOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
    `static Overflow[]` | `arrayOfOverflow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
    `static PageEvent[]` | `arrayOfPageEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
    `static PageOrientation[]` | `arrayOfPageOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
    `static Palette[]` | `arrayOfPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Palette` objects.
    `static PaletteNode[]` | `arrayOfPaletteNode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PaletteNode` objects.
    `static PanelPlacement[]` | `arrayOfPanelPlacement(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PanelPlacement` objects.
    `static PartialCommitOption[]` | `arrayOfPartialCommitOption(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
    `static PasswordItem[]` | `arrayOfPasswordItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
    `static PercentBoxModel[]` | `arrayOfPercentBoxModel(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
    `static PickerIconName[]` | `arrayOfPickerIconName(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PickerIconName` objects.
    `static PickListItemIconPlacement[]` | `arrayOfPickListItemIconPlacement(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PickListItemIconPlacement` objects.
    `static PickListMenu[]` | `arrayOfPickListMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PickListMenu` objects.
    `static PickTreeItem[]` | `arrayOfPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
    `static Point[]` | `arrayOfPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
    `static PointShape[]` | `arrayOfPointShape(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
    `static PortalLayout[]` | `arrayOfPortalLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
    `static PortalPosition[]` | `arrayOfPortalPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PortalPosition` objects.
    `static Portlet[]` | `arrayOfPortlet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
    `static Positioning[]` | `arrayOfPositioning(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
    `static PreserveOpenState[]` | `arrayOfPreserveOpenState(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
    `static PresetCriteriaItem[]` | `arrayOfPresetCriteriaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PresetCriteriaItem` objects.
    `static PresetDateRangeItem[]` | `arrayOfPresetDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PresetDateRangeItem` objects.
    `static PrintCanvas[]` | `arrayOfPrintCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
    `static PrintProperties[]` | `arrayOfPrintProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
    `static PrintWindow[]` | `arrayOfPrintWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
    `static Process[]` | `arrayOfProcess(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
    `static ProcessElement[]` | `arrayOfProcessElement(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
    `static ProcessSequence[]` | `arrayOfProcessSequence(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
    `static ProcessValueType[]` | `arrayOfProcessValueType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessValueType` objects.
    `static Progressbar[]` | `arrayOfProgressbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
    `static ProgressbarEditProxy[]` | `arrayOfProgressbarEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProgressbarEditProxy` objects.
    `static PromptStyle[]` | `arrayOfPromptStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
    `static PropertyIdentifier[]` | `arrayOfPropertyIdentifier(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PropertyIdentifier` objects.
    `static PropertySheet[]` | `arrayOfPropertySheet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
    `static ProportionalResizeMode[]` | `arrayOfProportionalResizeMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProportionalResizeMode` objects.
    `static RadialGradient[]` | `arrayOfRadialGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
    `static RadioGroupItem[]` | `arrayOfRadioGroupItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
    `static RangeSlider[]` | `arrayOfRangeSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
    `static ReadOnlyDisplayAppearance[]` | `arrayOfReadOnlyDisplayAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
    `static RecategorizeMode[]` | `arrayOfRecategorizeMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecategorizeMode` objects.
    `static Record[]` | `arrayOfRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
    `static RecordComponentPoolingMode[]` | `arrayOfRecordComponentPoolingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
    `static RecordDropAppearance[]` | `arrayOfRecordDropAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropAppearance` objects.
    `static RecordDropPosition[]` | `arrayOfRecordDropPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropPosition` objects.
    `static RecordEditor[]` | `arrayOfRecordEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordEditor` objects.
    `static RecordLayout[]` | `arrayOfRecordLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
    `static RecordSummaryFunctionType[]` | `arrayOfRecordSummaryFunctionType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
    `static RegressionLineType[]` | `arrayOfRegressionLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
    `static RelativeDate[]` | `arrayOfRelativeDate(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
    `static RelativeDateItem[]` | `arrayOfRelativeDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
    `static RelativeDateRangePosition[]` | `arrayOfRelativeDateRangePosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
    `static ReorderPosition[]` | `arrayOfReorderPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ReorderPosition` objects.
    `static ResetItem[]` | `arrayOfResetItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
    `static ResizeKnobPoint[]` | `arrayOfResizeKnobPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResizeKnobPoint` objects.
    `static RestDataSource[]` | `arrayOfRestDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
    `static ResultTree[]` | `arrayOfResultTree(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
    `static RibbonBar[]` | `arrayOfRibbonBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
    `static RibbonGroup[]` | `arrayOfRibbonGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
    `static RichTextEditor[]` | `arrayOfRichTextEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
    `static RichTextItem[]` | `arrayOfRichTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
    `static RowEndEditAction[]` | `arrayOfRowEndEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
    `static RowSpacerItem[]` | `arrayOfRowSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
    `static RowSpanEditMode[]` | `arrayOfRowSpanEditMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
    `static RowSpanSelectionMode[]` | `arrayOfRowSpanSelectionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
    `static RPCRequest[]` | `arrayOfRPCRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
    `static RPCResponse[]` | `arrayOfRPCResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
    `static RPCTransport[]` | `arrayOfRPCTransport(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
    `static ScanMode[]` | `arrayOfScanMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ScanMode` objects.
    `static ScriptTask[]` | `arrayOfScriptTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
    `static Scrollbar[]` | `arrayOfScrollbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
    `static SearchForm[]` | `arrayOfSearchForm(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
    `static SectionHeader[]` | `arrayOfSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
    `static SectionItem[]` | `arrayOfSectionItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
    `static SectionStack[]` | `arrayOfSectionStack(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
    `static SectionStackEditProxy[]` | `arrayOfSectionStackEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackEditProxy` objects.
    `static SectionStackSection[]` | `arrayOfSectionStackSection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
    `static Selected[]` | `arrayOfSelected(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
    `static SelectedAppearance[]` | `arrayOfSelectedAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectedAppearance` objects.
    `static SelectionAppearance[]` | `arrayOfSelectionAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
    `static SelectionBoundary[]` | `arrayOfSelectionBoundary(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
    `static SelectionNotificationType[]` | `arrayOfSelectionNotificationType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
    `static SelectionStyle[]` | `arrayOfSelectionStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
    `static SelectionTreeMenu[]` | `arrayOfSelectionTreeMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionTreeMenu` objects.
    `static SelectionType[]` | `arrayOfSelectionType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
    `static SelectItem[]` | `arrayOfSelectItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
    `static SelectItemEditProxy[]` | `arrayOfSelectItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemEditProxy` objects.
    `static SelectItemsMode[]` | `arrayOfSelectItemsMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemsMode` objects.
    `static SelectOtherItem[]` | `arrayOfSelectOtherItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
    `static SendMethod[]` | `arrayOfSendMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
    `static SequenceMode[]` | `arrayOfSequenceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SequenceMode` objects.
    `static SerializationSettings[]` | `arrayOfSerializationSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SerializationSettings` objects.
    `static ServiceTask[]` | `arrayOfServiceTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ServiceTask` objects.
    `static Shadow[]` | `arrayOfShadow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
    `static Side[]` | `arrayOfSide(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
    `static SimpleGradient[]` | `arrayOfSimpleGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
    `static SimpleTile[]` | `arrayOfSimpleTile(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
    `static SimpleType[]` | `arrayOfSimpleType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
    `static SkipJSONValidation[]` | `arrayOfSkipJSONValidation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SkipJSONValidation` objects.
    `static Slider[]` | `arrayOfSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
    `static SliderItem[]` | `arrayOfSliderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
    `static Snapbar[]` | `arrayOfSnapbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
    `static SortArrow[]` | `arrayOfSortArrow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
    `static SortDirection[]` | `arrayOfSortDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
    `static SortSpecifier[]` | `arrayOfSortSpecifier(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
    `static Sound[]` | `arrayOfSound(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Sound` objects.
    `static SpacerItem[]` | `arrayOfSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
    `static SpinnerItem[]` | `arrayOfSpinnerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
    `static Splitbar[]` | `arrayOfSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
    `static SplitPane[]` | `arrayOfSplitPane(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
    `static SplitPaneEditProxy[]` | `arrayOfSplitPaneEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SplitPaneEditProxy` objects.
    `static SQLPagingStrategy[]` | `arrayOfSQLPagingStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
    `static StandardControlGroup[]` | `arrayOfStandardControlGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StandardControlGroup` objects.
    `static State[]` | `arrayOfState(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
    `static StatefulCanvas[]` | `arrayOfStatefulCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
    `static StatefulCanvasEditProxy[]` | `arrayOfStatefulCanvasEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvasEditProxy` objects.
    `static StateTask[]` | `arrayOfStateTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
    `static StaticTextItem[]` | `arrayOfStaticTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
    `static StretchImg[]` | `arrayOfStretchImg(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
    `static StretchImgButton[]` | `arrayOfStretchImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
    `static StretchItem[]` | `arrayOfStretchItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
    `static java.lang.String[]` | `arrayOfString(com.google.gwt.core.client.JavaScriptObject array)`
    `static SubmitItem[]` | `arrayOfSubmitItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
    `static SummaryFunctionType[]` | `arrayOfSummaryFunctionType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SummaryFunctionType` objects.
    `static SVG[]` | `arrayOfSVG(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
    `static SyntaxHiliter[]` | `arrayOfSyntaxHiliter(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SyntaxHiliter` objects.
    `static Tab[]` | `arrayOfTab(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
    `static TabBar[]` | `arrayOfTabBar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
    `static TableMode[]` | `arrayOfTableMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
    `static TableView[]` | `arrayOfTableView(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
    `static TabSet[]` | `arrayOfTabSet(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
    `static TabSetEditProxy[]` | `arrayOfTabSetEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabSetEditProxy` objects.
    `static TabTitleEditEvent[]` | `arrayOfTabTitleEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
    `static Task[]` | `arrayOfTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
    `static TextAreaItem[]` | `arrayOfTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
    `static TextAreaItemEditProxy[]` | `arrayOfTextAreaItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItemEditProxy` objects.
    `static TextAreaWrap[]` | `arrayOfTextAreaWrap(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
    `static TextExportSettings[]` | `arrayOfTextExportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
    `static TextImportSettings[]` | `arrayOfTextImportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
    `static TextItem[]` | `arrayOfTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
    `static TextItemEditProxy[]` | `arrayOfTextItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextItemEditProxy` objects.
    `static TextMatchStyle[]` | `arrayOfTextMatchStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
    `static TextSettings[]` | `arrayOfTextSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
    `static TieMode[]` | `arrayOfTieMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TieMode` objects.
    `static TileGrid[]` | `arrayOfTileGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
    `static TileLayout[]` | `arrayOfTileLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
    `static TileLayoutPolicy[]` | `arrayOfTileLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
    `static TilePalette[]` | `arrayOfTilePalette(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TilePalette` objects.
    `static TileRecord[]` | `arrayOfTileRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
    `static TimeDisplayFormat[]` | `arrayOfTimeDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
    `static TimeItem[]` | `arrayOfTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
    `static Timeline[]` | `arrayOfTimeline(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
    `static TimeUnit[]` | `arrayOfTimeUnit(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
    `static TitleAlign[]` | `arrayOfTitleAlign(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TitleAlign` objects.
    `static TitleAutoFitRotationMode[]` | `arrayOfTitleAutoFitRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TitleAutoFitRotationMode` objects.
    `static TitleOrientation[]` | `arrayOfTitleOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
    `static TitleRotationMode[]` | `arrayOfTitleRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TitleRotationMode` objects.
    `static Toolbar[]` | `arrayOfToolbar(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Toolbar` objects.
    `static ToolbarItem[]` | `arrayOfToolbarItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
    `static ToolStrip[]` | `arrayOfToolStrip(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
    `static ToolStripButton[]` | `arrayOfToolStripButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
    `static ToolStripGroup[]` | `arrayOfToolStripGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
    `static ToolStripMenuButton[]` | `arrayOfToolStripMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
    `static ToolStripResizer[]` | `arrayOfToolStripResizer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
    `static ToolStripSeparator[]` | `arrayOfToolStripSeparator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
    `static ToolStripSpacer[]` | `arrayOfToolStripSpacer(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSpacer` objects.
    `static TopOperatorAppearance[]` | `arrayOfTopOperatorAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
    `static Tree[]` | `arrayOfTree(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
    `static TreeFilterMode[]` | `arrayOfTreeFilterMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
    `static TreeGrid[]` | `arrayOfTreeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
    `static TreeGridField[]` | `arrayOfTreeGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
    `static TreeMenuButton[]` | `arrayOfTreeMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
    `static TreeModelType[]` | `arrayOfTreeModelType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
    `static TreeNode[]` | `arrayOfTreeNode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
    `static TreePalette[]` | `arrayOfTreePalette(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreePalette` objects.
    `static UploadItem[]` | `arrayOfUploadItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
    `static UserFormula[]` | `arrayOfUserFormula(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
    `static UserSummary[]` | `arrayOfUserSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
    `static UserTask[]` | `arrayOfUserTask(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
    `static ValidationMode[]` | `arrayOfValidationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
    `static Validator[]` | `arrayOfValidator(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
    `static ValidatorType[]` | `arrayOfValidatorType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
    `static ValueItemType[]` | `arrayOfValueItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
    `static ValuesManager[]` | `arrayOfValuesManager(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
    `static VerticalAlignment[]` | `arrayOfVerticalAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
    `static ViewFileItem[]` | `arrayOfViewFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
    `static ViewLoader[]` | `arrayOfViewLoader(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
    `static ViewName[]` | `arrayOfViewName(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
    `static Visibility[]` | `arrayOfVisibility(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
    `static VisibilityMode[]` | `arrayOfVisibilityMode(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
    `static VisualBuilder[]` | `arrayOfVisualBuilder(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VisualBuilder` objects.
    `static VLayout[]` | `arrayOfVLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
    `static VStack[]` | `arrayOfVStack(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
    `static Window[]` | `arrayOfWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
    `static WindowEditProxy[]` | `arrayOfWindowEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `WindowEditProxy` objects.
    `static WSDataSource[]` | `arrayOfWSDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
    `static XJSONDataSource[]` | `arrayOfXJSONDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
    `static XMLSyntaxHiliter[]` | `arrayOfXMLSyntaxHiliter(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XMLSyntaxHiliter` objects.
    `static XORGateway[]` | `arrayOfXORGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
    `static ZoneCanvas[]` | `arrayOfZoneCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ZoneCanvas` objects.
    `static ZoomStartPosition[]` | `arrayOfZoomStartPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### arrayOfint

          public static int[] arrayOfint(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfInteger

          public static java.lang.Integer[] arrayOfInteger(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfString

          public static java.lang.String[] arrayOfString(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfFloat

          public static java.lang.Float[] arrayOfFloat(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOffloat

          public static float[] arrayOffloat(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfdouble

          public static double[] arrayOfdouble(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfDate

          public static java.util.Date[] arrayOfDate(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfObject

          public static java.lang.Object[] arrayOfObject(com.google.gwt.core.client.JavaScriptObject array)

    - #### arrayOfDrawShape

          public static DrawShape[] arrayOfDrawShape(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawShape` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawShape[]

    - #### arrayOfNavigationMode

          public static NavigationMode[] arrayOfNavigationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.NavigationMode[]

    - #### arrayOfSelected

          public static Selected[] arrayOfSelected(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Selected[]

    - #### arrayOfZoneCanvas

          public static ZoneCanvas[] arrayOfZoneCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ZoneCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.ZoneCanvas[]

    - #### arrayOfSpacerItem

          public static SpacerItem[] arrayOfSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SpacerItem[]

    - #### arrayOfSectionStackEditProxy

          public static SectionStackEditProxy[] arrayOfSectionStackEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SectionStackEditProxy[]

    - #### arrayOfSimpleGradient

          public static SimpleGradient[] arrayOfSimpleGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.SimpleGradient[]

    - #### arrayOfBlurbItem

          public static BlurbItem[] arrayOfBlurbItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.BlurbItem[]

    - #### arrayOfHStack

          public static HStack[] arrayOfHStack(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.HStack[]

    - #### arrayOfTimeline

          public static Timeline[] arrayOfTimeline(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Timeline[]

    - #### arrayOfNavItem

          public static NavItem[] arrayOfNavItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.NavItem[]

    - #### arrayOfSimpleType

          public static SimpleType[] arrayOfSimpleType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.SimpleType[]

    - #### arrayOfRelativeDate

          public static RelativeDate[] arrayOfRelativeDate(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.RelativeDate[]

    - #### arrayOfFieldPicker

          public static FieldPicker[] arrayOfFieldPicker(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldPicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FieldPicker[]

    - #### arrayOfNativeCheckboxItem

          public static NativeCheckboxItem[] arrayOfNativeCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.NativeCheckboxItem[]

    - #### arrayOfToolStripMenuButton

          public static ToolStripMenuButton[] arrayOfToolStripMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripMenuButton[]

    - #### arrayOfPreserveOpenState

          public static PreserveOpenState[] arrayOfPreserveOpenState(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PreserveOpenState[]

    - #### arrayOfPropertyIdentifier

          public static PropertyIdentifier[] arrayOfPropertyIdentifier(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PropertyIdentifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PropertyIdentifier[]

    - #### arrayOfValidatorType

          public static ValidatorType[] arrayOfValidatorType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValidatorType[]

    - #### arrayOfTextAreaWrap

          public static TextAreaWrap[] arrayOfTextAreaWrap(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TextAreaWrap[]

    - #### arrayOfControlName

          public static ControlName[] arrayOfControlName(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ControlName[]

    - #### arrayOfAnimateShowEffect

          public static AnimateShowEffect[] arrayOfAnimateShowEffect(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimateShowEffect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.AnimateShowEffect[]

    - #### arrayOfFacet

          public static Facet[] arrayOfFacet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.Facet[]

    - #### arrayOfEdgedCanvas

          public static EdgedCanvas[] arrayOfEdgedCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.EdgedCanvas[]

    - #### arrayOfRowSpanSelectionMode

          public static RowSpanSelectionMode[] arrayOfRowSpanSelectionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowSpanSelectionMode[]

    - #### arrayOfAutoSelectionModel

          public static AutoSelectionModel[] arrayOfAutoSelectionModel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoSelectionModel[]

    - #### arrayOfAutoFitTextAreaItem

          public static AutoFitTextAreaItem[] arrayOfAutoFitTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.AutoFitTextAreaItem[]

    - #### arrayOfTabSet

          public static TabSet[] arrayOfTabSet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.TabSet[]

    - #### arrayOfLinePattern

          public static LinePattern[] arrayOfLinePattern(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LinePattern[]

    - #### arrayOfDrawKnob

          public static DrawKnob[] arrayOfDrawKnob(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawKnob` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawKnob[]

    - #### arrayOfDSInheritanceMode

          public static DSInheritanceMode[] arrayOfDSInheritanceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSInheritanceMode[]

    - #### arrayOfLabel

          public static Label[] arrayOfLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Label[]

    - #### arrayOfKnobType

          public static KnobType[] arrayOfKnobType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.KnobType[]

    - #### arrayOfSerializationSettings

          public static SerializationSettings[] arrayOfSerializationSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SerializationSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SerializationSettings[]

    - #### arrayOfMenuButton

          public static MenuButton[] arrayOfMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuButton[]

    - #### arrayOfSpinnerItem

          public static SpinnerItem[] arrayOfSpinnerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SpinnerItem[]

    - #### arrayOfIPickTreeItem

          public static IPickTreeItem[] arrayOfIPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.IPickTreeItem[]

    - #### arrayOfAceCompleter

          public static AceCompleter[] arrayOfAceCompleter(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceCompleter` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceCompleter[]

    - #### arrayOfFacetValue

          public static FacetValue[] arrayOfFacetValue(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.FacetValue[]

    - #### arrayOfBaseWidget

          public static BaseWidget[] arrayOfBaseWidget(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BaseWidget` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.BaseWidget[]

    - #### arrayOfDSOperationType

          public static DSOperationType[] arrayOfDSOperationType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSOperationType[]

    - #### arrayOfSectionItem

          public static SectionItem[] arrayOfSectionItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SectionItem[]

    - #### arrayOfResetItem

          public static ResetItem[] arrayOfResetItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ResetItem[]

    - #### arrayOfWindow

          public static Window[] arrayOfWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Window[]

    - #### arrayOfFormMethod

          public static FormMethod[] arrayOfFormMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FormMethod[]

    - #### arrayOfFiscalCalendar

          public static FiscalCalendar[] arrayOfFiscalCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FiscalCalendar[]

    - #### arrayOfIconButton

          public static IconButton[] arrayOfIconButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.IconButton[]

    - #### arrayOfSQLPagingStrategy

          public static SQLPagingStrategy[] arrayOfSQLPagingStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SQLPagingStrategy[]

    - #### arrayOfSectionHeader

          public static SectionHeader[] arrayOfSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionHeader[]

    - #### arrayOfTitleRotationMode

          public static TitleRotationMode[] arrayOfTitleRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TitleRotationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TitleRotationMode[]

    - #### arrayOfDateGrid

          public static DateGrid[] arrayOfDateGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.DateGrid[]

    - #### arrayOfJoinType

          public static JoinType[] arrayOfJoinType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JoinType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JoinType[]

    - #### arrayOfEditCompletionEvent

          public static EditCompletionEvent[] arrayOfEditCompletionEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EditCompletionEvent[]

    - #### arrayOfReorderPosition

          public static ReorderPosition[] arrayOfReorderPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ReorderPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ReorderPosition[]

    - #### arrayOfShadow

          public static Shadow[] arrayOfShadow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Shadow[]

    - #### arrayOfDrawPaneEditProxy

          public static DrawPaneEditProxy[] arrayOfDrawPaneEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPaneEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DrawPaneEditProxy[]

    - #### arrayOfStatefulCanvas

          public static StatefulCanvas[] arrayOfStatefulCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StatefulCanvas[]

    - #### arrayOfLinkItem

          public static LinkItem[] arrayOfLinkItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.LinkItem[]

    - #### arrayOfRichTextItem

          public static RichTextItem[] arrayOfRichTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RichTextItem[]

    - #### arrayOfListProperties

          public static ListProperties[] arrayOfListProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.rte.ListProperties[]

    - #### arrayOfSelectionType

          public static SelectionType[] arrayOfSelectionType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionType[]

    - #### arrayOfGridRenderer

          public static GridRenderer[] arrayOfGridRenderer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.GridRenderer[]

    - #### arrayOfCellSelection

          public static CellSelection[] arrayOfCellSelection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.CellSelection[]

    - #### arrayOfGroupSummary

          public static GroupSummary[] arrayOfGroupSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.GroupSummary[]

    - #### arrayOfDrawItemEditProxy

          public static DrawItemEditProxy[] arrayOfDrawItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DrawItemEditProxy[]

    - #### arrayOfJSONInstanceSerializationMode

          public static JSONInstanceSerializationMode[] arrayOfJSONInstanceSerializationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONInstanceSerializationMode[]

    - #### arrayOfPoint

          public static Point[] arrayOfPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Point[]

    - #### arrayOfMenuEditProxy

          public static MenuEditProxy[] arrayOfMenuEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.MenuEditProxy[]

    - #### arrayOfDrawPath

          public static DrawPath[] arrayOfDrawPath(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPath[]

    - #### arrayOfHiliteIconPosition

          public static HiliteIconPosition[] arrayOfHiliteIconPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HiliteIconPosition[]

    - #### arrayOfTableMode

          public static TableMode[] arrayOfTableMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TableMode[]

    - #### arrayOfBrowserPlugin

          public static BrowserPlugin[] arrayOfBrowserPlugin(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.BrowserPlugin[]

    - #### arrayOfDragDataAction

          public static DragDataAction[] arrayOfDragDataAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragDataAction[]

    - #### arrayOfFieldPickerWindow

          public static FieldPickerWindow[] arrayOfFieldPickerWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FieldPickerWindow[]

    - #### arrayOfDataSource

          public static DataSource[] arrayOfDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DataSource[]

    - #### arrayOfFormItemEditProxy

          public static FormItemEditProxy[] arrayOfFormItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.FormItemEditProxy[]

    - #### arrayOfClickMaskMode

          public static ClickMaskMode[] arrayOfClickMaskMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ClickMaskMode[]

    - #### arrayOfDSResponse

          public static DSResponse[] arrayOfDSResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DSResponse[]

    - #### arrayOfDSRequest

          public static DSRequest[] arrayOfDSRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DSRequest[]

    - #### arrayOfMenuBar

          public static MenuBar[] arrayOfMenuBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuBar[]

    - #### arrayOfLoadState

          public static LoadState[] arrayOfLoadState(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LoadState[]

    - #### arrayOfRangeSlider

          public static RangeSlider[] arrayOfRangeSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.RangeSlider[]

    - #### arrayOfOverflow

          public static Overflow[] arrayOfOverflow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Overflow[]

    - #### arrayOfRPCResponse

          public static RPCResponse[] arrayOfRPCResponse(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.rpc.RPCResponse[]

    - #### arrayOfListGridComponent

          public static ListGridComponent[] arrayOfListGridComponent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridComponent[]

    - #### arrayOfDataLineType

          public static DataLineType[] arrayOfDataLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DataLineType[]

    - #### arrayOfPartialCommitOption

          public static PartialCommitOption[] arrayOfPartialCommitOption(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PartialCommitOption[]

    - #### arrayOfValidationMode

          public static ValidationMode[] arrayOfValidationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValidationMode[]

    - #### arrayOfStatefulCanvasEditProxy

          public static StatefulCanvasEditProxy[] arrayOfStatefulCanvasEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvasEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.StatefulCanvasEditProxy[]

    - #### arrayOfSortSpecifier

          public static SortSpecifier[] arrayOfSortSpecifier(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.SortSpecifier[]

    - #### arrayOfButton

          public static Button[] arrayOfButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Button[]

    - #### arrayOfRowSpacerItem

          public static RowSpacerItem[] arrayOfRowSpacerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RowSpacerItem[]

    - #### arrayOfTimeItem

          public static TimeItem[] arrayOfTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TimeItem[]

    - #### arrayOfAceRenderer

          public static AceRenderer[] arrayOfAceRenderer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceRenderer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceRenderer[]

    - #### arrayOfAutoFitEvent

          public static AutoFitEvent[] arrayOfAutoFitEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitEvent[]

    - #### arrayOfAceAnchor

          public static AceAnchor[] arrayOfAceAnchor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceAnchor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceAnchor[]

    - #### arrayOfPickListItemIconPlacement

          public static PickListItemIconPlacement[] arrayOfPickListItemIconPlacement(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PickListItemIconPlacement` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PickListItemIconPlacement[]

    - #### arrayOfArrowStyle

          public static ArrowStyle[] arrayOfArrowStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ArrowStyle[]

    - #### arrayOfSelectionAppearance

          public static SelectionAppearance[] arrayOfSelectionAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionAppearance[]

    - #### arrayOfCanvasItem

          public static CanvasItem[] arrayOfCanvasItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.CanvasItem[]

    - #### arrayOfHashAlgorithm

          public static HashAlgorithm[] arrayOfHashAlgorithm(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HashAlgorithm[]

    - #### arrayOfPortlet

          public static Portlet[] arrayOfPortlet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.Portlet[]

    - #### arrayOfMetricSettings

          public static MetricSettings[] arrayOfMetricSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.MetricSettings[]

    - #### arrayOfHilite

          public static Hilite[] arrayOfHilite(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Hilite[]

    - #### arrayOfArrowKeyEditAction

          public static ArrowKeyEditAction[] arrayOfArrowKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ArrowKeyEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ArrowKeyEditAction[]

    - #### arrayOfOperatorId

          public static OperatorId[] arrayOfOperatorId(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.OperatorId[]

    - #### arrayOfTitleAlign

          public static TitleAlign[] arrayOfTitleAlign(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TitleAlign` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TitleAlign[]

    - #### arrayOfViewName

          public static ViewName[] arrayOfViewName(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ViewName[]

    - #### arrayOfDataURLFormat

          public static DataURLFormat[] arrayOfDataURLFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataURLFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DataURLFormat[]

    - #### arrayOfFormItem

          public static FormItem[] arrayOfFormItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FormItem[]

    - #### arrayOfScrollbar

          public static Scrollbar[] arrayOfScrollbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Scrollbar[]

    - #### arrayOfDrawPolygon

          public static DrawPolygon[] arrayOfDrawPolygon(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPolygon[]

    - #### arrayOfOperatorValueType

          public static OperatorValueType[] arrayOfOperatorValueType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.OperatorValueType[]

    - #### arrayOfCheckboxItemEditProxy

          public static CheckboxItemEditProxy[] arrayOfCheckboxItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.CheckboxItemEditProxy[]

    - #### arrayOfDateRangeDialog

          public static DateRangeDialog[] arrayOfDateRangeDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.DateRangeDialog[]

    - #### arrayOfDisplayNodeType

          public static DisplayNodeType[] arrayOfDisplayNodeType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DisplayNodeType[]

    - #### arrayOfPortalPosition

          public static PortalPosition[] arrayOfPortalPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PortalPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.PortalPosition[]

    - #### arrayOfDrawItem

          public static DrawItem[] arrayOfDrawItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawItem[]

    - #### arrayOfContentsType

          public static ContentsType[] arrayOfContentsType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ContentsType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ContentsType[]

    - #### arrayOfPointShape

          public static PointShape[] arrayOfPointShape(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PointShape[]

    - #### arrayOfHTMLFlow

          public static HTMLFlow[] arrayOfHTMLFlow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.HTMLFlow[]

    - #### arrayOfCanvasEditProxy

          public static CanvasEditProxy[] arrayOfCanvasEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CanvasEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.CanvasEditProxy[]

    - #### arrayOfTitleOrientation

          public static TitleOrientation[] arrayOfTitleOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TitleOrientation[]

    - #### arrayOfTabBar

          public static TabBar[] arrayOfTabBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.TabBar[]

    - #### arrayOfDetailViewer

          public static DetailViewer[] arrayOfDetailViewer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewer[]

    - #### arrayOfAceEditSession

          public static AceEditSession[] arrayOfAceEditSession(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceEditSession` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceEditSession[]

    - #### arrayOfDragTrackerMode

          public static DragTrackerMode[] arrayOfDragTrackerMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragTrackerMode[]

    - #### arrayOfRecordSummaryFunctionType

          public static RecordSummaryFunctionType[] arrayOfRecordSummaryFunctionType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordSummaryFunctionType[]

    - #### arrayOfImageStyle

          public static ImageStyle[] arrayOfImageStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ImageStyle[]

    - #### arrayOfTitleAutoFitRotationMode

          public static TitleAutoFitRotationMode[] arrayOfTitleAutoFitRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TitleAutoFitRotationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TitleAutoFitRotationMode[]

    - #### arrayOfMultiSortDialog

          public static MultiSortDialog[] arrayOfMultiSortDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiSortDialog[]

    - #### arrayOfHiliteRule

          public static HiliteRule[] arrayOfHiliteRule(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HiliteRule[]

    - #### arrayOfTextItem

          public static TextItem[] arrayOfTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TextItem[]

    - #### arrayOfRecord

          public static Record[] arrayOfRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Record[]

    - #### arrayOfTileLayoutPolicy

          public static TileLayoutPolicy[] arrayOfTileLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TileLayoutPolicy[]

    - #### arrayOfEscapingMode

          public static EscapingMode[] arrayOfEscapingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EscapingMode[]

    - #### arrayOfDateItemSelectorFormat

          public static DateItemSelectorFormat[] arrayOfDateItemSelectorFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateItemSelectorFormat[]

    - #### arrayOfJSONDateFormat

          public static JSONDateFormat[] arrayOfJSONDateFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONDateFormat[]

    - #### arrayOfMockDataSource

          public static MockDataSource[] arrayOfMockDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MockDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.MockDataSource[]

    - #### arrayOfTimeDisplayFormat

          public static TimeDisplayFormat[] arrayOfTimeDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TimeDisplayFormat[]

    - #### arrayOfUploadItem

          public static UploadItem[] arrayOfUploadItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.UploadItem[]

    - #### arrayOfSortDirection

          public static SortDirection[] arrayOfSortDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SortDirection[]

    - #### arrayOfHeaderLevel

          public static HeaderLevel[] arrayOfHeaderLevel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.HeaderLevel[]

    - #### arrayOfTextMatchStyle

          public static TextMatchStyle[] arrayOfTextMatchStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TextMatchStyle[]

    - #### arrayOfHoopSelectionStyle

          public static HoopSelectionStyle[] arrayOfHoopSelectionStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HoopSelectionStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HoopSelectionStyle[]

    - #### arrayOfPortalLayout

          public static PortalLayout[] arrayOfPortalLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.PortalLayout[]

    - #### arrayOfProgressbar

          public static Progressbar[] arrayOfProgressbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Progressbar[]

    - #### arrayOfDragMaskType

          public static DragMaskType[] arrayOfDragMaskType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragMaskType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragMaskType[]

    - #### arrayOfListGridEditEvent

          public static ListGridEditEvent[] arrayOfListGridEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridEditEvent[]

    - #### arrayOfViewFileItem

          public static ViewFileItem[] arrayOfViewFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ViewFileItem[]

    - #### arrayOfIButton

          public static IButton[] arrayOfIButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.IButton[]

    - #### arrayOfFilterBuilder

          public static FilterBuilder[] arrayOfFilterBuilder(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.FilterBuilder[]

    - #### arrayOfColorPickerMode

          public static ColorPickerMode[] arrayOfColorPickerMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ColorPickerMode[]

    - #### arrayOfToolStrip

          public static ToolStrip[] arrayOfToolStrip(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStrip[]

    - #### arrayOfDSDataFormat

          public static DSDataFormat[] arrayOfDSDataFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSDataFormat[]

    - #### arrayOfMultiGroupPanel

          public static MultiGroupPanel[] arrayOfMultiGroupPanel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupPanel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiGroupPanel[]

    - #### arrayOfFilterClause

          public static FilterClause[] arrayOfFilterClause(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.FilterClause[]

    - #### arrayOfFacetIndentDirection

          public static FacetIndentDirection[] arrayOfFacetIndentDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetIndentDirection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FacetIndentDirection[]

    - #### arrayOfDateRangeItem

          public static DateRangeItem[] arrayOfDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateRangeItem[]

    - #### arrayOfPositioning

          public static Positioning[] arrayOfPositioning(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Positioning[]

    - #### arrayOfRPCRequest

          public static RPCRequest[] arrayOfRPCRequest(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.rpc.RPCRequest[]

    - #### arrayOfSummaryFunctionType

          public static SummaryFunctionType[] arrayOfSummaryFunctionType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SummaryFunctionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SummaryFunctionType[]

    - #### arrayOfImgSplitbar

          public static ImgSplitbar[] arrayOfImgSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgSplitbar[]

    - #### arrayOfTreeGrid

          public static TreeGrid[] arrayOfTreeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeGrid[]

    - #### arrayOfGradient

          public static Gradient[] arrayOfGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Gradient[]

    - #### arrayOfSkipJSONValidation

          public static SkipJSONValidation[] arrayOfSkipJSONValidation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SkipJSONValidation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SkipJSONValidation[]

    - #### arrayOfReadOnlyDisplayAppearance

          public static ReadOnlyDisplayAppearance[] arrayOfReadOnlyDisplayAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ReadOnlyDisplayAppearance[]

    - #### arrayOfPageOrientation

          public static PageOrientation[] arrayOfPageOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PageOrientation[]

    - #### arrayOfLabelAlignment

          public static LabelAlignment[] arrayOfLabelAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelAlignment` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LabelAlignment[]

    - #### arrayOfDetailViewerEditProxy

          public static DetailViewerEditProxy[] arrayOfDetailViewerEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DetailViewerEditProxy[]

    - #### arrayOfUserTask

          public static UserTask[] arrayOfUserTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.UserTask[]

    - #### arrayOfHoverMode

          public static HoverMode[] arrayOfHoverMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HoverMode[]

    - #### arrayOfCriteriaPolicy

          public static CriteriaPolicy[] arrayOfCriteriaPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CriteriaPolicy[]

    - #### arrayOfPickerIconName

          public static PickerIconName[] arrayOfPickerIconName(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PickerIconName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PickerIconName[]

    - #### arrayOfConnectorOrientation

          public static ConnectorOrientation[] arrayOfConnectorOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ConnectorOrientation[]

    - #### arrayOfAlignment

          public static Alignment[] arrayOfAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Alignment[]

    - #### arrayOfProcessValueType

          public static ProcessValueType[] arrayOfProcessValueType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessValueType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ProcessValueType[]

    - #### arrayOfExpansionMode

          public static ExpansionMode[] arrayOfExpansionMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExpansionMode[]

    - #### arrayOfDrawShapeCommand

          public static DrawShapeCommand[] arrayOfDrawShapeCommand(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommand` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawShapeCommand[]

    - #### arrayOfSelectItem

          public static SelectItem[] arrayOfSelectItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SelectItem[]

    - #### arrayOfLabelEditProxy

          public static LabelEditProxy[] arrayOfLabelEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.LabelEditProxy[]

    - #### arrayOfFieldType

          public static FieldType[] arrayOfFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldType[]

    - #### arrayOfSnapbar

          public static Snapbar[] arrayOfSnapbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Snapbar[]

    - #### arrayOfFieldNamingStrategy

          public static FieldNamingStrategy[] arrayOfFieldNamingStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldNamingStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldNamingStrategy[]

    - #### arrayOfListPalette

          public static ListPalette[] arrayOfListPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListPalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.ListPalette[]

    - #### arrayOfAdvancedHiliteEditor

          public static AdvancedHiliteEditor[] arrayOfAdvancedHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.AdvancedHiliteEditor[]

    - #### arrayOfPageEvent

          public static PageEvent[] arrayOfPageEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PageEvent[]

    - #### arrayOfDSLoadSettings

          public static DSLoadSettings[] arrayOfDSLoadSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSLoadSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DSLoadSettings[]

    - #### arrayOfTask

          public static Task[] arrayOfTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.Task[]

    - #### arrayOfDiscoverTreeSettings

          public static DiscoverTreeSettings[] arrayOfDiscoverTreeSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DiscoverTreeSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.DiscoverTreeSettings[]

    - #### arrayOfLocatorStrategy

          public static LocatorStrategy[] arrayOfLocatorStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LocatorStrategy[]

    - #### arrayOfSliderItem

          public static SliderItem[] arrayOfSliderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SliderItem[]

    - #### arrayOfCursor

          public static Cursor[] arrayOfCursor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Cursor[]

    - #### arrayOfSequenceMode

          public static SequenceMode[] arrayOfSequenceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SequenceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SequenceMode[]

    - #### arrayOfImportFormat

          public static ImportFormat[] arrayOfImportFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImportFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ImportFormat[]

    - #### arrayOfFetchMode

          public static FetchMode[] arrayOfFetchMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FetchMode[]

    - #### arrayOfNavigationButton

          public static NavigationButton[] arrayOfNavigationButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.NavigationButton[]

    - #### arrayOfVStack

          public static VStack[] arrayOfVStack(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.VStack[]

    - #### arrayOfRelativeDateRangePosition

          public static RelativeDateRangePosition[] arrayOfRelativeDateRangePosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RelativeDateRangePosition[]

    - #### arrayOfSelectItemEditProxy

          public static SelectItemEditProxy[] arrayOfSelectItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SelectItemEditProxy[]

    - #### arrayOfProcess

          public static Process[] arrayOfProcess(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.Process[]

    - #### arrayOfExpansionComponentPoolingMode

          public static ExpansionComponentPoolingMode[] arrayOfExpansionComponentPoolingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionComponentPoolingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExpansionComponentPoolingMode[]

    - #### arrayOfEnterKeyEditAction

          public static EnterKeyEditAction[] arrayOfEnterKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EnterKeyEditAction[]

    - #### arrayOfGridEditProxy

          public static GridEditProxy[] arrayOfGridEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GridEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.GridEditProxy[]

    - #### arrayOfAutoFitWidthApproach

          public static AutoFitWidthApproach[] arrayOfAutoFitWidthApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitWidthApproach[]

    - #### arrayOfFormItemElementType

          public static FormItemElementType[] arrayOfFormItemElementType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemElementType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FormItemElementType[]

    - #### arrayOfViewLoader

          public static ViewLoader[] arrayOfViewLoader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ViewLoader[]

    - #### arrayOfSendMethod

          public static SendMethod[] arrayOfSendMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SendMethod[]

    - #### arrayOfTextAreaItem

          public static TextAreaItem[] arrayOfTextAreaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TextAreaItem[]

    - #### arrayOfSlider

          public static Slider[] arrayOfSlider(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Slider[]

    - #### arrayOfAnimationLayoutMode

          public static AnimationLayoutMode[] arrayOfAnimationLayoutMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimationLayoutMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AnimationLayoutMode[]

    - #### arrayOfFileItem

          public static FileItem[] arrayOfFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FileItem[]

    - #### arrayOfComboBoxItem

          public static ComboBoxItem[] arrayOfComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ComboBoxItem[]

    - #### arrayOfSyntaxHiliter

          public static SyntaxHiliter[] arrayOfSyntaxHiliter(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SyntaxHiliter` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.SyntaxHiliter[]

    - #### arrayOfEditNode

          public static EditNode[] arrayOfEditNode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditNode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditNode[]

    - #### arrayOfListPropertiesDialog

          public static ListPropertiesDialog[] arrayOfListPropertiesDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.rte.ListPropertiesDialog[]

    - #### arrayOfTreeFilterMode

          public static TreeFilterMode[] arrayOfTreeFilterMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TreeFilterMode[]

    - #### arrayOfPickTreeItem

          public static PickTreeItem[] arrayOfPickTreeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.PickTreeItem[]

    - #### arrayOfEditContext

          public static EditContext[] arrayOfEditContext(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditContext` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditContext[]

    - #### arrayOfTree

          public static Tree[] arrayOfTree(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.Tree[]

    - #### arrayOfPrintWindow

          public static PrintWindow[] arrayOfPrintWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.PrintWindow[]

    - #### arrayOfColorPickerItem

          public static ColorPickerItem[] arrayOfColorPickerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ColorPickerItem[]

    - #### arrayOfDateDisplayFormat

          public static DateDisplayFormat[] arrayOfDateDisplayFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateDisplayFormat[]

    - #### arrayOfStretchImg

          public static StretchImg[] arrayOfStretchImg(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchImg[]

    - #### arrayOfTilePalette

          public static TilePalette[] arrayOfTilePalette(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TilePalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TilePalette[]

    - #### arrayOfTextSettings

          public static TextSettings[] arrayOfTextSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextSettings[]

    - #### arrayOfDateFieldLayout

          public static DateFieldLayout[] arrayOfDateFieldLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateFieldLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateFieldLayout[]

    - #### arrayOfVisibility

          public static Visibility[] arrayOfVisibility(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Visibility[]

    - #### arrayOfMultiFilePicker

          public static MultiFilePicker[] arrayOfMultiFilePicker(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiFilePicker[]

    - #### arrayOfRowEndEditAction

          public static RowEndEditAction[] arrayOfRowEndEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowEndEditAction[]

    - #### arrayOfPropertySheet

          public static PropertySheet[] arrayOfPropertySheet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PropertySheet[]

    - #### arrayOfSearchForm

          public static SearchForm[] arrayOfSearchForm(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.SearchForm[]

    - #### arrayOfDecisionGateway

          public static DecisionGateway[] arrayOfDecisionGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.DecisionGateway[]

    - #### arrayOfDrawShapeCommandType

          public static DrawShapeCommandType[] arrayOfDrawShapeCommandType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommandType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DrawShapeCommandType[]

    - #### arrayOfDrawnValue

          public static DrawnValue[] arrayOfDrawnValue(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.DrawnValue[]

    - #### arrayOfAnimationAcceleration

          public static AnimationAcceleration[] arrayOfAnimationAcceleration(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AnimationAcceleration[]

    - #### arrayOfGroupSpecifier

          public static GroupSpecifier[] arrayOfGroupSpecifier(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GroupSpecifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.GroupSpecifier[]

    - #### arrayOfMultiComboBoxLayoutStyle

          public static MultiComboBoxLayoutStyle[] arrayOfMultiComboBoxLayoutStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultiComboBoxLayoutStyle[]

    - #### arrayOfJSONCircularReferenceMode

          public static JSONCircularReferenceMode[] arrayOfJSONCircularReferenceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONCircularReferenceMode[]

    - #### arrayOfSelectItemsMode

          public static SelectItemsMode[] arrayOfSelectItemsMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemsMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectItemsMode[]

    - #### arrayOfVisibilityMode

          public static VisibilityMode[] arrayOfVisibilityMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.VisibilityMode[]

    - #### arrayOfEncoding

          public static Encoding[] arrayOfEncoding(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Encoding[]

    - #### arrayOfRecategorizeMode

          public static RecategorizeMode[] arrayOfRecategorizeMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecategorizeMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecategorizeMode[]

    - #### arrayOfPresetDateRangeItem

          public static PresetDateRangeItem[] arrayOfPresetDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PresetDateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PresetDateRangeItem[]

    - #### arrayOfLinearGradient

          public static LinearGradient[] arrayOfLinearGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.LinearGradient[]

    - #### arrayOfCellRecord

          public static CellRecord[] arrayOfCellRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.CellRecord[]

    - #### arrayOfAnimationEffect

          public static AnimationEffect[] arrayOfAnimationEffect(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AnimationEffect[]

    - #### arrayOfListPropertiesPane

          public static ListPropertiesPane[] arrayOfListPropertiesPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.rte.ListPropertiesPane[]

    - #### arrayOfAceCompletionResult

          public static AceCompletionResult[] arrayOfAceCompletionResult(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceCompletionResult` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceCompletionResult[]

    - #### arrayOfMultiUpdatePolicy

          public static MultiUpdatePolicy[] arrayOfMultiUpdatePolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiUpdatePolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultiUpdatePolicy[]

    - #### arrayOfToolStripSpacer

          public static ToolStripSpacer[] arrayOfToolStripSpacer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSpacer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripSpacer[]

    - #### arrayOfEventCanvas

          public static EventCanvas[] arrayOfEventCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EventCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.EventCanvas[]

    - #### arrayOfSectionStackSection

          public static SectionStackSection[] arrayOfSectionStackSection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionStackSection[]

    - #### arrayOfLineCap

          public static LineCap[] arrayOfLineCap(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LineCap[]

    - #### arrayOfXJSONDataSource

          public static XJSONDataSource[] arrayOfXJSONDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.XJSONDataSource[]

    - #### arrayOfSubmitItem

          public static SubmitItem[] arrayOfSubmitItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SubmitItem[]

    - #### arrayOfPickListMenu

          public static PickListMenu[] arrayOfPickListMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PickListMenu` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PickListMenu[]

    - #### arrayOfIconOverTrigger

          public static IconOverTrigger[] arrayOfIconOverTrigger(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IconOverTrigger` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.IconOverTrigger[]

    - #### arrayOfActiveXControl

          public static ActiveXControl[] arrayOfActiveXControl(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.ActiveXControl[]

    - #### arrayOfDateChooser

          public static DateChooser[] arrayOfDateChooser(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.DateChooser[]

    - #### arrayOfBatchUploader

          public static BatchUploader[] arrayOfBatchUploader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.BatchUploader[]

    - #### arrayOfStretchImgButton

          public static StretchImgButton[] arrayOfStretchImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchImgButton[]

    - #### arrayOfDrawLine

          public static DrawLine[] arrayOfDrawLine(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLine[]

    - #### arrayOfPercentBoxModel

          public static PercentBoxModel[] arrayOfPercentBoxModel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PercentBoxModel[]

    - #### arrayOfDialog

          public static Dialog[] arrayOfDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Dialog[]

    - #### arrayOfWSDataSource

          public static WSDataSource[] arrayOfWSDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.WSDataSource[]

    - #### arrayOfOperationBinding

          public static OperationBinding[] arrayOfOperationBinding(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.OperationBinding[]

    - #### arrayOfDataSourceField

          public static DataSourceField[] arrayOfDataSourceField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DataSourceField[]

    - #### arrayOfTableView

          public static TableView[] arrayOfTableView(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tableview.TableView[]

    - #### arrayOfStaticTextItem

          public static StaticTextItem[] arrayOfStaticTextItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.StaticTextItem[]

    - #### arrayOfChartType

          public static ChartType[] arrayOfChartType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ChartType[]

    - #### arrayOfEnumTranslateStrategy

          public static EnumTranslateStrategy[] arrayOfEnumTranslateStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EnumTranslateStrategy[]

    - #### arrayOfWindowEditProxy

          public static WindowEditProxy[] arrayOfWindowEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `WindowEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.WindowEditProxy[]

    - #### arrayOfIconMenuButton

          public static IconMenuButton[] arrayOfIconMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.IconMenuButton[]

    - #### arrayOfRecordDropPosition

          public static RecordDropPosition[] arrayOfRecordDropPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordDropPosition[]

    - #### arrayOfRadialGradient

          public static RadialGradient[] arrayOfRadialGradient(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.RadialGradient[]

    - #### arrayOfKeyIdentifier

          public static KeyIdentifier[] arrayOfKeyIdentifier(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `KeyIdentifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.core.KeyIdentifier[]

    - #### arrayOfVisualBuilder

          public static VisualBuilder[] arrayOfVisualBuilder(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VisualBuilder` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.VisualBuilder[]

    - #### arrayOfDrawDiamond

          public static DrawDiamond[] arrayOfDrawDiamond(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawDiamond` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawDiamond[]

    - #### arrayOfLayoutResizeBarPolicy

          public static LayoutResizeBarPolicy[] arrayOfLayoutResizeBarPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LayoutResizeBarPolicy[]

    - #### arrayOfPalette

          public static Palette[] arrayOfPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Palette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.Palette[]

    - #### arrayOfDrawPosition

          public static DrawPosition[] arrayOfDrawPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DrawPosition[]

    - #### arrayOfMiniNavControl

          public static MiniNavControl[] arrayOfMiniNavControl(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MiniNavControl` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MiniNavControl[]

    - #### arrayOfTileGrid

          public static TileGrid[] arrayOfTileGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileGrid[]

    - #### arrayOfMultipleAppearance

          public static MultipleAppearance[] arrayOfMultipleAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultipleAppearance[]

    - #### arrayOfMenuItem

          public static MenuItem[] arrayOfMenuItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuItem[]

    - #### arrayOfNavigationBar

          public static NavigationBar[] arrayOfNavigationBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.NavigationBar[]

    - #### arrayOfJSONEncoder

          public static JSONEncoder[] arrayOfJSONEncoder(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.JSONEncoder[]

    - #### arrayOfSound

          public static Sound[] arrayOfSound(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Sound` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Sound[]

    - #### arrayOfFacadeDataSource

          public static FacadeDataSource[] arrayOfFacadeDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacadeDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.FacadeDataSource[]

    - #### arrayOfColorPicker

          public static ColorPicker[] arrayOfColorPicker(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.ColorPicker[]

    - #### arrayOfNavigationDirection

          public static NavigationDirection[] arrayOfNavigationDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.NavigationDirection[]

    - #### arrayOfSelectionNotificationType

          public static SelectionNotificationType[] arrayOfSelectionNotificationType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionNotificationType[]

    - #### arrayOfEditPane

          public static EditPane[] arrayOfEditPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditPane[]

    - #### arrayOfPanelPlacement

          public static PanelPlacement[] arrayOfPanelPlacement(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PanelPlacement` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PanelPlacement[]

    - #### arrayOfHiddenItem

          public static HiddenItem[] arrayOfHiddenItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.HiddenItem[]

    - #### arrayOfCriteria

          public static Criteria[] arrayOfCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Criteria[]

    - #### arrayOfDeck

          public static Deck[] arrayOfDeck(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Deck` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.Deck[]

    - #### arrayOfPrintProperties

          public static PrintProperties[] arrayOfPrintProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.PrintProperties[]

    - #### arrayOfHiddenPalette

          public static HiddenPalette[] arrayOfHiddenPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiddenPalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.HiddenPalette[]

    - #### arrayOfProcessElement

          public static ProcessElement[] arrayOfProcessElement(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ProcessElement[]

    - #### arrayOfLane

          public static Lane[] arrayOfLane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Lane[]

    - #### arrayOfDateItemEditProxy

          public static DateItemEditProxy[] arrayOfDateItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DateItemEditProxy[]

    - #### arrayOfTextAreaItemEditProxy

          public static TextAreaItemEditProxy[] arrayOfTextAreaItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TextAreaItemEditProxy[]

    - #### arrayOfDrawLabelEditProxy

          public static DrawLabelEditProxy[] arrayOfDrawLabelEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabelEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DrawLabelEditProxy[]

    - #### arrayOfGroupStartOpen

          public static GroupStartOpen[] arrayOfGroupStartOpen(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.GroupStartOpen[]

    - #### arrayOfDateEditingStyle

          public static DateEditingStyle[] arrayOfDateEditingStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateEditingStyle[]

    - #### arrayOfToolbar

          public static Toolbar[] arrayOfToolbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Toolbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.Toolbar[]

    - #### arrayOfLayoutEditProxy

          public static LayoutEditProxy[] arrayOfLayoutEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.LayoutEditProxy[]

    - #### arrayOfDrawLinePath

          public static DrawLinePath[] arrayOfDrawLinePath(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLinePath[]

    - #### arrayOfDrawImage

          public static DrawImage[] arrayOfDrawImage(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawImage[]

    - #### arrayOfStandardControlGroup

          public static StandardControlGroup[] arrayOfStandardControlGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StandardControlGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.StandardControlGroup[]

    - #### arrayOfTextExportSettings

          public static TextExportSettings[] arrayOfTextExportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextExportSettings[]

    - #### arrayOfRichTextEditor

          public static RichTextEditor[] arrayOfRichTextEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.RichTextEditor[]

    - #### arrayOfHeaderSpan

          public static HeaderSpan[] arrayOfHeaderSpan(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HeaderSpan[]

    - #### arrayOfBooleanItem

          public static BooleanItem[] arrayOfBooleanItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.BooleanItem[]

    - #### arrayOfProcessSequence

          public static ProcessSequence[] arrayOfProcessSequence(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ProcessSequence[]

    - #### arrayOfRadioGroupItem

          public static RadioGroupItem[] arrayOfRadioGroupItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RadioGroupItem[]

    - #### arrayOfDrawBlockConnector

          public static DrawBlockConnector[] arrayOfDrawBlockConnector(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawBlockConnector[]

    - #### arrayOfAutofit

          public static Autofit[] arrayOfAutofit(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Autofit[]

    - #### arrayOfSplitPane

          public static SplitPane[] arrayOfSplitPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SplitPane[]

    - #### arrayOfSelectionStyle

          public static SelectionStyle[] arrayOfSelectionStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionStyle[]

    - #### arrayOfTopOperatorAppearance

          public static TopOperatorAppearance[] arrayOfTopOperatorAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TopOperatorAppearance[]

    - #### arrayOfImgSectionHeader

          public static ImgSectionHeader[] arrayOfImgSectionHeader(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.ImgSectionHeader[]

    - #### arrayOfRibbonBar

          public static RibbonBar[] arrayOfRibbonBar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.RibbonBar[]

    - #### arrayOfLegendAlign

          public static LegendAlign[] arrayOfLegendAlign(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LegendAlign` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LegendAlign[]

    - #### arrayOfScanMode

          public static ScanMode[] arrayOfScanMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ScanMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ScanMode[]

    - #### arrayOfFacetValueMap

          public static FacetValueMap[] arrayOfFacetValueMap(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.FacetValueMap[]

    - #### arrayOfRelativeDateItem

          public static RelativeDateItem[] arrayOfRelativeDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RelativeDateItem[]

    - #### arrayOfHLayout

          public static HLayout[] arrayOfHLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.HLayout[]

    - #### arrayOfCalendar

          public static Calendar[] arrayOfCalendar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Calendar[]

    - #### arrayOfTabTitleEditEvent

          public static TabTitleEditEvent[] arrayOfTabTitleEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TabTitleEditEvent[]

    - #### arrayOfContentLayoutPolicy

          public static ContentLayoutPolicy[] arrayOfContentLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ContentLayoutPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ContentLayoutPolicy[]

    - #### arrayOfUserFormula

          public static UserFormula[] arrayOfUserFormula(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.UserFormula[]

    - #### arrayOfHiliteEditor

          public static HiliteEditor[] arrayOfHiliteEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HiliteEditor[]

    - #### arrayOfListGrid

          public static ListGrid[] arrayOfListGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGrid[]

    - #### arrayOfExportFormat

          public static ExportFormat[] arrayOfExportFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportFormat[]

    - #### arrayOfFlowLayout

          public static FlowLayout[] arrayOfFlowLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.FlowLayout[]

    - #### arrayOfNavigationBarViewState

          public static NavigationBarViewState[] arrayOfNavigationBarViewState(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBarViewState` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.NavigationBarViewState[]

    - #### arrayOfEventWindow

          public static EventWindow[] arrayOfEventWindow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EventWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.EventWindow[]

    - #### arrayOfImgProperties

          public static ImgProperties[] arrayOfImgProperties(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgProperties[]

    - #### arrayOfDateTimeItem

          public static DateTimeItem[] arrayOfDateTimeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateTimeItem[]

    - #### arrayOfTextItemEditProxy

          public static TextItemEditProxy[] arrayOfTextItemEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TextItemEditProxy[]

    - #### arrayOfOrientation

          public static Orientation[] arrayOfOrientation(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Orientation[]

    - #### arrayOfAceUndoManager

          public static AceUndoManager[] arrayOfAceUndoManager(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceUndoManager` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceUndoManager[]

    - #### arrayOfValueItemType

          public static ValueItemType[] arrayOfValueItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValueItemType[]

    - #### arrayOfListGridRecord

          public static ListGridRecord[] arrayOfListGridRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGridRecord[]

    - #### arrayOfApplicationMode

          public static ApplicationMode[] arrayOfApplicationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ApplicationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ApplicationMode[]

    - #### arrayOfResultTree

          public static ResultTree[] arrayOfResultTree(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.ResultTree[]

    - #### arrayOfTextImportSettings

          public static TextImportSettings[] arrayOfTextImportSettings(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextImportSettings[]

    - #### arrayOfAdaptiveMenu

          public static AdaptiveMenu[] arrayOfAdaptiveMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AdaptiveMenu` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.AdaptiveMenu[]

    - #### arrayOfLabelRotationMode

          public static LabelRotationMode[] arrayOfLabelRotationMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LabelRotationMode[]

    - #### arrayOfFloatItem

          public static FloatItem[] arrayOfFloatItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FloatItem[]

    - #### arrayOfColorStop

          public static ColorStop[] arrayOfColorStop(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.ColorStop[]

    - #### arrayOfGauge

          public static Gauge[] arrayOfGauge(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Gauge[]

    - #### arrayOfRestDataSource

          public static RestDataSource[] arrayOfRestDataSource(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.RestDataSource[]

    - #### arrayOfCriterion

          public static Criterion[] arrayOfCriterion(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Criterion[]

    - #### arrayOfMoveKnobPoint

          public static MoveKnobPoint[] arrayOfMoveKnobPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MoveKnobPoint` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MoveKnobPoint[]

    - #### arrayOfHeaderItem

          public static HeaderItem[] arrayOfHeaderItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.HeaderItem[]

    - #### arrayOfRecordComponentPoolingMode

          public static RecordComponentPoolingMode[] arrayOfRecordComponentPoolingMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordComponentPoolingMode[]

    - #### arrayOfDrawOval

          public static DrawOval[] arrayOfDrawOval(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawOval[]

    - #### arrayOfMultiFileItem

          public static MultiFileItem[] arrayOfMultiFileItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MultiFileItem[]

    - #### arrayOfValuesManager

          public static ValuesManager[] arrayOfValuesManager(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.ValuesManager[]

    - #### arrayOfListGridFieldType

          public static ListGridFieldType[] arrayOfListGridFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridFieldType[]

    - #### arrayOfTreeGridField

          public static TreeGridField[] arrayOfTreeGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeGridField[]

    - #### arrayOfXMLSyntaxHiliter

          public static XMLSyntaxHiliter[] arrayOfXMLSyntaxHiliter(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XMLSyntaxHiliter` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.XMLSyntaxHiliter[]

    - #### arrayOfDrawTriangle

          public static DrawTriangle[] arrayOfDrawTriangle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawTriangle[]

    - #### arrayOfImgButton

          public static ImgButton[] arrayOfImgButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgButton[]

    - #### arrayOfToolStripGroup

          public static ToolStripGroup[] arrayOfToolStripGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripGroup[]

    - #### arrayOfListGridField

          public static ListGridField[] arrayOfListGridField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGridField[]

    - #### arrayOfCubeGrid

          public static CubeGrid[] arrayOfCubeGrid(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.CubeGrid[]

    - #### arrayOfSVG

          public static SVG[] arrayOfSVG(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.SVG[]

    - #### arrayOfPromptStyle

          public static PromptStyle[] arrayOfPromptStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PromptStyle[]

    - #### arrayOfIMenuButton

          public static IMenuButton[] arrayOfIMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.IMenuButton[]

    - #### arrayOfTreeNode

          public static TreeNode[] arrayOfTreeNode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeNode[]

    - #### arrayOfAdvancedCriteria

          public static AdvancedCriteria[] arrayOfAdvancedCriteria(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.AdvancedCriteria[]

    - #### arrayOfDrawRect

          public static DrawRect[] arrayOfDrawRect(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawRect[]

    - #### arrayOfTreePalette

          public static TreePalette[] arrayOfTreePalette(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreePalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TreePalette[]

    - #### arrayOfProportionalResizeMode

          public static ProportionalResizeMode[] arrayOfProportionalResizeMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProportionalResizeMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ProportionalResizeMode[]

    - #### arrayOfCalendarEvent

          public static CalendarEvent[] arrayOfCalendarEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.CalendarEvent[]

    - #### arrayOfTileLayout

          public static TileLayout[] arrayOfTileLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileLayout[]

    - #### arrayOfSelectionTreeMenu

          public static SelectionTreeMenu[] arrayOfSelectionTreeMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionTreeMenu` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.SelectionTreeMenu[]

    - #### arrayOfDynamicForm

          public static DynamicForm[] arrayOfDynamicForm(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.DynamicForm[]

    - #### arrayOfPasswordItem

          public static PasswordItem[] arrayOfPasswordItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.PasswordItem[]

    - #### arrayOfVerticalAlignment

          public static VerticalAlignment[] arrayOfVerticalAlignment(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.VerticalAlignment[]

    - #### arrayOfStretchItem

          public static StretchItem[] arrayOfStretchItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchItem[]

    - #### arrayOfImgTab

          public static ImgTab[] arrayOfImgTab(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.ImgTab[]

    - #### arrayOfLayoutSpacer

          public static LayoutSpacer[] arrayOfLayoutSpacer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.LayoutSpacer[]

    - #### arrayOfTreeModelType

          public static TreeModelType[] arrayOfTreeModelType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TreeModelType[]

    - #### arrayOfToolbarItem

          public static ToolbarItem[] arrayOfToolbarItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ToolbarItem[]

    - #### arrayOfFacetChart

          public static FacetChart[] arrayOfFacetChart(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.FacetChart[]

    - #### arrayOfIntegerItem

          public static IntegerItem[] arrayOfIntegerItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.IntegerItem[]

    - #### arrayOfConnectorStyle

          public static ConnectorStyle[] arrayOfConnectorStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ConnectorStyle[]

    - #### arrayOfAceMarker

          public static AceMarker[] arrayOfAceMarker(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceMarker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceMarker[]

    - #### arrayOfSimpleTile

          public static SimpleTile[] arrayOfSimpleTile(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.SimpleTile[]

    - #### arrayOfSplitPaneEditProxy

          public static SplitPaneEditProxy[] arrayOfSplitPaneEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SplitPaneEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SplitPaneEditProxy[]

    - #### arrayOfListStyleType

          public static ListStyleType[] arrayOfListStyleType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListStyleType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListStyleType[]

    - #### arrayOfDateItem

          public static DateItem[] arrayOfDateItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateItem[]

    - #### arrayOfTimeUnit

          public static TimeUnit[] arrayOfTimeUnit(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TimeUnit[]

    - #### arrayOfInlineEditEvent

          public static InlineEditEvent[] arrayOfInlineEditEvent(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `InlineEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.InlineEditEvent[]

    - #### arrayOfFormEditProxy

          public static FormEditProxy[] arrayOfFormEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.FormEditProxy[]

    - #### arrayOfFacetChartEditProxy

          public static FacetChartEditProxy[] arrayOfFacetChartEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetChartEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.FacetChartEditProxy[]

    - #### arrayOfStateTask

          public static StateTask[] arrayOfStateTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.StateTask[]

    - #### arrayOfMenuPalette

          public static MenuPalette[] arrayOfMenuPalette(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuPalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.MenuPalette[]

    - #### arrayOfEscapeKeyEditAction

          public static EscapeKeyEditAction[] arrayOfEscapeKeyEditAction(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EscapeKeyEditAction[]

    - #### arrayOfLayoutPolicy

          public static LayoutPolicy[] arrayOfLayoutPolicy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LayoutPolicy[]

    - #### arrayOfEditProxy

          public static EditProxy[] arrayOfEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditProxy[]

    - #### arrayOfScriptTask

          public static ScriptTask[] arrayOfScriptTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ScriptTask[]

    - #### arrayOfDrawGroup

          public static DrawGroup[] arrayOfDrawGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawGroup[]

    - #### arrayOfCurrentPane

          public static CurrentPane[] arrayOfCurrentPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CurrentPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CurrentPane[]

    - #### arrayOfEmbeddedPosition

          public static EmbeddedPosition[] arrayOfEmbeddedPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EmbeddedPosition[]

    - #### arrayOfRegressionLineType

          public static RegressionLineType[] arrayOfRegressionLineType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RegressionLineType[]

    - #### arrayOfExportDisplay

          public static ExportDisplay[] arrayOfExportDisplay(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportDisplay[]

    - #### arrayOfDSProtocol

          public static DSProtocol[] arrayOfDSProtocol(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSProtocol[]

    - #### arrayOfFileSpec

          public static FileSpec[] arrayOfFileSpec(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FileSpec` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.FileSpec[]

    - #### arrayOfFiscalYear

          public static FiscalYear[] arrayOfFiscalYear(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FiscalYear[]

    - #### arrayOfAcePosition

          public static AcePosition[] arrayOfAcePosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AcePosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AcePosition[]

    - #### arrayOfCharacterCasing

          public static CharacterCasing[] arrayOfCharacterCasing(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CharacterCasing[]

    - #### arrayOfState

          public static State[] arrayOfState(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.State[]

    - #### arrayOfDSServerType

          public static DSServerType[] arrayOfDSServerType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSServerType[]

    - #### arrayOfDrawSector

          public static DrawSector[] arrayOfDrawSector(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawSector[]

    - #### arrayOfMiniDateRangeItem

          public static MiniDateRangeItem[] arrayOfMiniDateRangeItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MiniDateRangeItem[]

    - #### arrayOfDoubleItem

          public static DoubleItem[] arrayOfDoubleItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DoubleItem[]

    - #### arrayOfDefaultSampleRecord

          public static DefaultSampleRecord[] arrayOfDefaultSampleRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DefaultSampleRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DefaultSampleRecord[]

    - #### arrayOfLocatorTypeStrategy

          public static LocatorTypeStrategy[] arrayOfLocatorTypeStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LocatorTypeStrategy[]

    - #### arrayOfFieldImportStrategy

          public static FieldImportStrategy[] arrayOfFieldImportStrategy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldImportStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldImportStrategy[]

    - #### arrayOfExportImageFormat

          public static ExportImageFormat[] arrayOfExportImageFormat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportImageFormat[]

    - #### arrayOfDrawPane

          public static DrawPane[] arrayOfDrawPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPane[]

    - #### arrayOfCheckboxItem

          public static CheckboxItem[] arrayOfCheckboxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.CheckboxItem[]

    - #### arrayOfMenu

          public static Menu[] arrayOfMenu(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.Menu[]

    - #### arrayOfSelectionBoundary

          public static SelectionBoundary[] arrayOfSelectionBoundary(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionBoundary[]

    - #### arrayOfLayout

          public static Layout[] arrayOfLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.Layout[]

    - #### arrayOfDirection

          public static Direction[] arrayOfDirection(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Direction[]

    - #### arrayOfMultiSortPanel

          public static MultiSortPanel[] arrayOfMultiSortPanel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortPanel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiSortPanel[]

    - #### arrayOfDetailViewerField

          public static DetailViewerField[] arrayOfDetailViewerField(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewerField[]

    - #### arrayOfToolStripResizer

          public static ToolStripResizer[] arrayOfToolStripResizer(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripResizer[]

    - #### arrayOfChildrenPropertyMode

          public static ChildrenPropertyMode[] arrayOfChildrenPropertyMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ChildrenPropertyMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ChildrenPropertyMode[]

    - #### arrayOfCriteriaCombineOperator

          public static CriteriaCombineOperator[] arrayOfCriteriaCombineOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CriteriaCombineOperator[]

    - #### arrayOfSide

          public static Side[] arrayOfSide(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Side[]

    - #### arrayOfRecordDropAppearance

          public static RecordDropAppearance[] arrayOfRecordDropAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordDropAppearance[]

    - #### arrayOfDrawingType

          public static DrawingType[] arrayOfDrawingType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawingType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DrawingType[]

    - #### arrayOfRowSpanEditMode

          public static RowSpanEditMode[] arrayOfRowSpanEditMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowSpanEditMode[]

    - #### arrayOfFieldAppearance

          public static FieldAppearance[] arrayOfFieldAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldAppearance[]

    - #### arrayOfTieMode

          public static TieMode[] arrayOfTieMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TieMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TieMode[]

    - #### arrayOfLogicalOperator

          public static LogicalOperator[] arrayOfLogicalOperator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LogicalOperator[]

    - #### arrayOfBackgroundRepeat

          public static BackgroundRepeat[] arrayOfBackgroundRepeat(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.BackgroundRepeat[]

    - #### arrayOfRPCTransport

          public static RPCTransport[] arrayOfRPCTransport(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RPCTransport[]

    - #### arrayOfNavPanel

          public static NavPanel[] arrayOfNavPanel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavPanel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.NavPanel[]

    - #### arrayOfSortArrow

          public static SortArrow[] arrayOfSortArrow(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SortArrow[]

    - #### arrayOfDragAppearance

          public static DragAppearance[] arrayOfDragAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragAppearance[]

    - #### arrayOfAceRange

          public static AceRange[] arrayOfAceRange(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceRange` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceRange[]

    - #### arrayOfCanvas

          public static Canvas[] arrayOfCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Canvas[]

    - #### arrayOfMockDataType

          public static MockDataType[] arrayOfMockDataType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MockDataType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MockDataType[]

    - #### arrayOfColorItem

          public static ColorItem[] arrayOfColorItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ColorItem[]

    - #### arrayOfTab

          public static Tab[] arrayOfTab(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.Tab[]

    - #### arrayOfXORGateway

          public static XORGateway[] arrayOfXORGateway(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.XORGateway[]

    - #### arrayOfFiscalYearMode

          public static FiscalYearMode[] arrayOfFiscalYearMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FiscalYearMode[]

    - #### arrayOfLabelCollapseMode

          public static LabelCollapseMode[] arrayOfLabelCollapseMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LabelCollapseMode[]

    - #### arrayOfAxis

          public static Axis[] arrayOfAxis(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Axis[]

    - #### arrayOfZoomStartPosition

          public static ZoomStartPosition[] arrayOfZoomStartPosition(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ZoomStartPosition[]

    - #### arrayOfUserSummary

          public static UserSummary[] arrayOfUserSummary(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.UserSummary[]

    - #### arrayOfSelectOtherItem

          public static SelectOtherItem[] arrayOfSelectOtherItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SelectOtherItem[]

    - #### arrayOfMultiGroupDialog

          public static MultiGroupDialog[] arrayOfMultiGroupDialog(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiGroupDialog[]

    - #### arrayOfToolStripSeparator

          public static ToolStripSeparator[] arrayOfToolStripSeparator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripSeparator[]

    - #### arrayOfAutoScrollDataApproach

          public static AutoScrollDataApproach[] arrayOfAutoScrollDataApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoScrollDataApproach` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoScrollDataApproach[]

    - #### arrayOfPaletteNode

          public static PaletteNode[] arrayOfPaletteNode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PaletteNode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.PaletteNode[]

    - #### arrayOfResizeKnobPoint

          public static ResizeKnobPoint[] arrayOfResizeKnobPoint(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResizeKnobPoint` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ResizeKnobPoint[]

    - #### arrayOfHTMLPane

          public static HTMLPane[] arrayOfHTMLPane(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.HTMLPane[]

    - #### arrayOfMultiComboBoxItem

          public static MultiComboBoxItem[] arrayOfMultiComboBoxItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MultiComboBoxItem[]

    - #### arrayOfTabSetEditProxy

          public static TabSetEditProxy[] arrayOfTabSetEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabSetEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TabSetEditProxy[]

    - #### arrayOfSectionStack

          public static SectionStack[] arrayOfSectionStack(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionStack[]

    - #### arrayOfAceEditor

          public static AceEditor[] arrayOfAceEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceEditor[]

    - #### arrayOfNavigationMethod

          public static NavigationMethod[] arrayOfNavigationMethod(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMethod` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.NavigationMethod[]

    - #### arrayOfDataView

          public static DataView[] arrayOfDataView(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataView` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.DataView[]

    - #### arrayOfGaugeSector

          public static GaugeSector[] arrayOfGaugeSector(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.GaugeSector[]

    - #### arrayOfTreeMenuButton

          public static TreeMenuButton[] arrayOfTreeMenuButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.TreeMenuButton[]

    - #### arrayOfSelectedAppearance

          public static SelectedAppearance[] arrayOfSelectedAppearance(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectedAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectedAppearance[]

    - #### arrayOfDrawCurve

          public static DrawCurve[] arrayOfDrawCurve(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawCurve[]

    - #### arrayOfIndicatorCanvas

          public static IndicatorCanvas[] arrayOfIndicatorCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IndicatorCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.IndicatorCanvas[]

    - #### arrayOfColumnTree

          public static ColumnTree[] arrayOfColumnTree(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ColumnTree[]

    - #### arrayOfFormItemIcon

          public static FormItemIcon[] arrayOfFormItemIcon(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FormItemIcon[]

    - #### arrayOfAutoFitIconFieldType

          public static AutoFitIconFieldType[] arrayOfAutoFitIconFieldType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitIconFieldType[]

    - #### arrayOfProgressbarEditProxy

          public static ProgressbarEditProxy[] arrayOfProgressbarEditProxy(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProgressbarEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.ProgressbarEditProxy[]

    - #### arrayOfFormItemType

          public static FormItemType[] arrayOfFormItemType(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FormItemType[]

    - #### arrayOfTileRecord

          public static TileRecord[] arrayOfTileRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileRecord[]

    - #### arrayOfPrintCanvas

          public static PrintCanvas[] arrayOfPrintCanvas(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.PrintCanvas[]

    - #### arrayOfRibbonGroup

          public static RibbonGroup[] arrayOfRibbonGroup(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.RibbonGroup[]

    - #### arrayOfVLayout

          public static VLayout[] arrayOfVLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.VLayout[]

    - #### arrayOfServiceTask

          public static ServiceTask[] arrayOfServiceTask(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ServiceTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ServiceTask[]

    - #### arrayOfCalendarView

          public static CalendarView[] arrayOfCalendarView(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CalendarView` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.CalendarView[]

    - #### arrayOfForceTextApproach

          public static ForceTextApproach[] arrayOfForceTextApproach(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ForceTextApproach[]

    - #### arrayOfDragIntersectStyle

          public static DragIntersectStyle[] arrayOfDragIntersectStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragIntersectStyle[]

    - #### arrayOfSplitbar

          public static Splitbar[] arrayOfSplitbar(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Splitbar[]

    - #### arrayOfToolStripButton

          public static ToolStripButton[] arrayOfToolStripButton(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripButton[]

    - #### arrayOfEditTree

          public static EditTree[] arrayOfEditTree(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditTree[]

    - #### arrayOfAceDocument

          public static AceDocument[] arrayOfAceDocument(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AceDocument` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ace.AceDocument[]

    - #### arrayOfValidator

          public static Validator[] arrayOfValidator(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.validator.Validator[]

    - #### arrayOfFireStyle

          public static FireStyle[] arrayOfFireStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FireStyle[]

    - #### arrayOfButtonItem

          public static ButtonItem[] arrayOfButtonItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ButtonItem[]

    - #### arrayOfEdgeName

          public static EdgeName[] arrayOfEdgeName(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EdgeName[]

    - #### arrayOfImg

          public static Img[] arrayOfImg(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Img[]

    - #### arrayOfAutoComplete

          public static AutoComplete[] arrayOfAutoComplete(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoComplete` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoComplete[]

    - #### arrayOfLineBreakStyle

          public static LineBreakStyle[] arrayOfLineBreakStyle(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LineBreakStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LineBreakStyle[]

    - #### arrayOfPresetCriteriaItem

          public static PresetCriteriaItem[] arrayOfPresetCriteriaItem(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PresetCriteriaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PresetCriteriaItem[]

    - #### arrayOfDetailViewerRecord

          public static DetailViewerRecord[] arrayOfDetailViewerRecord(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewerRecord[]

    - #### arrayOfRecordLayout

          public static RecordLayout[] arrayOfRecordLayout(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordLayout[]

    - #### arrayOfDeviceMode

          public static DeviceMode[] arrayOfDeviceMode(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DeviceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DeviceMode[]

    - #### arrayOfFlashlet

          public static Flashlet[] arrayOfFlashlet(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.Flashlet[]

    - #### arrayOfDrawLabel

          public static DrawLabel[] arrayOfDrawLabel(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLabel[]

    - #### arrayOfJSSyntaxHiliter

          public static JSSyntaxHiliter[] arrayOfJSSyntaxHiliter(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSSyntaxHiliter` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.JSSyntaxHiliter[]

    - #### arrayOfMultipleFieldStorage

          public static MultipleFieldStorage[] arrayOfMultipleFieldStorage(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultipleFieldStorage` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultipleFieldStorage[]

    - #### arrayOfRecordEditor

          public static RecordEditor[] arrayOfRecordEditor(com.google.gwt.core.client.JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.RecordEditor[]